## ros-rolling-rviz-2d-overlay-msgs 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rviz_2d_overlay_msgs)

if (NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 17)
endif ()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
        "msg/OverlayText.msg"
        DEPENDENCIES
        std_msgs
        )

ament_package()

=== debian/changelog ===
ros-rolling-rviz-2d-overlay-msgs (1.3.0-1jammy) jammy; urgency=high

  * Removed old position message fields
  * Contributors: Dominik, Jonas Otto

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-rviz-2d-overlay-msgs (1.2.1-1jammy) jammy; urgency=high



 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Thu, 29 Sep 2022 22:00:00 -0000

ros-rolling-rviz-2d-overlay-msgs (1.2.0-1jammy) jammy; urgency=high

  * Rename package from overlay_rviz_msgs to rviz_2d_overlay_msgs
  * Contributors: Jonas Otto

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Mon, 26 Sep 2022 22:00:00 -0000

ros-rolling-rviz-2d-overlay-msgs (1.1.0-1jammy) jammy; urgency=high



 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Sat, 10 Sep 2022 22:00:00 -0000

ros-rolling-rviz-2d-overlay-msgs (1.0.0-1jammy) jammy; urgency=high

  * Create OverlayText message (currently same as jsk_rviz_plugins)
  * Contributors: Jonas Otto, Dominik Authaler

 -- Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>  Mon, 29 Aug 2022 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-rviz-2d-overlay-msgs
Section: misc
Priority: optional
Maintainer: Team Spatzenhirn <team-spatzenhirn@uni-ulm.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rviz-2d-overlay-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Messages describing 2D overlays for RVIZ, extracted/derived from the jsk_visualization ROS1 packege.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rviz-2d-overlay-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
